package a.f.f.i;

import a.f.f.i.c;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.Log;
import java.lang.reflect.Method;

public class d extends c {
    public static Method i;

    public static class a extends c.a {
        public a(c.a aVar, Resources resources) {
            super(aVar);
        }

        @Override // a.f.f.i.c.a
        public Drawable newDrawable(Resources resources) {
            return new d(this, resources);
        }
    }

    public d(c.a aVar, Resources resources) {
        super(aVar, resources);
        d();
    }

    public d(Drawable drawable) {
        super(drawable);
        d();
    }

    @Override // a.f.f.i.c
    public boolean b() {
        if (Build.VERSION.SDK_INT != 21) {
            return false;
        }
        Drawable drawable = this.g;
        return (drawable instanceof GradientDrawable) || (drawable instanceof DrawableContainer) || (drawable instanceof InsetDrawable) || (drawable instanceof RippleDrawable);
    }

    @Override // a.f.f.i.c
    public c.a c() {
        return new a(this.e, null);
    }

    public final void d() {
        if (i == null) {
            try {
                i = Drawable.class.getDeclaredMethod("isProjected", new Class[0]);
            } catch (Exception e) {
                Log.w("WrappedDrawableApi21", "Failed to retrieve Drawable#isProjected() method", e);
            }
        }
    }

    public Rect getDirtyBounds() {
        return this.g.getDirtyBounds();
    }

    public void getOutline(Outline outline) {
        this.g.getOutline(outline);
    }

    public boolean isProjected() {
        Method method;
        Drawable drawable = this.g;
        if (!(drawable == null || (method = i) == null)) {
            try {
                return ((Boolean) method.invoke(drawable, new Object[0])).booleanValue();
            } catch (Exception e) {
                Log.w("WrappedDrawableApi21", "Error calling Drawable#isProjected() method", e);
            }
        }
        return false;
    }

    public void setHotspot(float f, float f2) {
        this.g.setHotspot(f, f2);
    }

    public void setHotspotBounds(int i2, int i3, int i4, int i5) {
        this.g.setHotspotBounds(i2, i3, i4, i5);
    }

    @Override // a.f.f.i.c
    public boolean setState(int[] iArr) {
        if (!super.setState(iArr)) {
            return false;
        }
        invalidateSelf();
        return true;
    }

    @Override // a.f.f.i.c, a.f.f.i.a
    public void setTint(int i2) {
        if (b()) {
            super.setTint(i2);
        } else {
            this.g.setTint(i2);
        }
    }

    @Override // a.f.f.i.c, a.f.f.i.a
    public void setTintList(ColorStateList colorStateList) {
        if (b()) {
            this.e.f417c = colorStateList;
            a(getState());
            return;
        }
        this.g.setTintList(colorStateList);
    }

    @Override // a.f.f.i.c, a.f.f.i.a
    public void setTintMode(PorterDuff.Mode mode) {
        if (b()) {
            this.e.d = mode;
            a(getState());
            return;
        }
        this.g.setTintMode(mode);
    }
}
